php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #6699 relocation error: symbol not found in libphp4.so
Submitted: 2000-09-12 21:57 UTC Modified: 2000-12-07 11:37 UTC
From: LCattaneo at mondo dot it Assigned:
Status: Closed Package: Apache related
PHP Version: 4.0.2 OS: Solaris 2.5
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: LCattaneo at mondo dot it
New email:
PHP Version: OS:

 

 [2000-09-12 21:57 UTC] LCattaneo at mondo dot it
Hi !

I'm try to work with Php 4.0.2, but ....

I have a Sun Sparc Station 20, Sun Solaris 2.5, Apache 1.3.3

I created Apache with the follows steps:
# ./configure --prefix=/usr/local/apache_1.3.3 --with-perl=/usr/local/bin --enable-module=so --enable-module=info
# make 
# make install
and OK . Apache works well.

I created Php with the follows steps:
# ./configure --prefix=/usr/local/php_4.0 --with-msql --with-apxs=/opt/apache_httpd/sbin/apxs --enable-versioning
# make 
# make install
and OK.

But when I try to restart Apache with libphp4.so library, I have this result :
# ./sbin/apachectl restart
/opt/apache_httpd/sbin/apachectl restart: configuration broken, ignoring restart
/opt/apache_httpd/sbin/apachectl restart: (run 'apachectl configtest' for details)
#
# ./sbin/apachectl configtest
Syntax error on line 26 of /usr/local/apache_1.3.3/etc/httpd.conf:
Cannot load /opt/apache_httpd/libexec/libphp4.so into server: ld.so.1: /opt/apache_httpd/sbin/httpd: fatal: relocation error: symbol not found: __udivdi3: referenced in /opt/apache_httpd/libexec/libphp4.so
#

You can help me ?

Thank you for your time

Cattaneo Luigi

mail://LCattaneo@mondo.it
tel: +39 125 637999

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-11-01 09:43 UTC] sniper@php.net
Please upgrade your apache to 1.3.14 and 
also php to PHP 4.0.3pl1.

--Jani
 [2000-12-07 11:37 UTC] sniper@php.net
Reopen, if this still happens when using latest snapshot
from http://snaps.php.net/

--Jani
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Fri Aug 23 05:01:27 2019 UTC